<!doctype html>
<html lang="en">
<head>
    {% block head %}
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://kit.fontawesome.com/6c15df800b.js" crossorigin="anonymous"></script>
    <title>Reddit</title>
    {% endblock %}
    {{ moment.include_jquery() }}
    {{ moment.include_moment() }}
    
    
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light mb-3">
        <a class="navbar-brand" href="#"><img src="/static/reddit-1-logo.png" class="img-fluid" alt="Reddit" style="width: 100px; height: 60px"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02"
            aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
            <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                <li class="nav-item active">
                    <a class="nav-link" href="{{ url_for('index') }}">Home <span class="sr-only">(current)</span></a>
                </li>
                <form class="form-inline my-2 my-lg-0">
                    <input class="form-control mr-sm-2" type="search" placeholder="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0 mr-4" type="submit">Search</button>
                </form>
                {% if current_user.is_anonymous %}
                <li>
                        <button type="button" class="btn btn-primary ml-4"><a href="{{ url_for('login') }}" style="text-decoration: none; color: white">Login</a></button>
                </li>
                <li>
                        <button type="button" class="btn btn-primary ml-4"><a href="{{ url_for('register') }}" style="text-decoration: none; color: white">Sign Up</a></button>
                </li>
                {% else %}
                <li>
                        <a href="{{ url_for('create_post', username=current_user.username) }}" style="font-size: 30px"><i class="fas fa-pen-square"></i></a>
                    </li>
                <li>
                    <button type="button" class="btn btn-primary ml-4"><a href="{{ url_for('logout') }}" style="text-decoration: none; color: white">Log Out</a></button>
            </li>
            {% endif %}
            </ul>
            <!-- <form class="form-inline my-2 my-lg-0">
                <input class="form-control mr-sm-2" type="search" placeholder="Search">
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form> -->
            {% if not current_user.is_anonymous %}
            <a href="{{ url_for('user', username=current_user.username) }}"><i class="fas fa-user"></i></a>
            {% endif %}
        </div>
    </nav>
    <div class="container">
            {% with messages = get_flashed_messages() %}
            {% if messages %}
            <ul>
                {% for message in messages %}
                <div class="alert alert-warning alert-dismissible fade show" role="alert">
                        <strong>{{ message }}</strong>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                {% endfor %}
            </ul>
            {% endif %}
            {% endwith %}
                      {% block content %}{% endblock %}
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
</body>

</html>